Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Internal::Autoscheduler::Statistics Struct Reference

`#include <Statistics.h>`

## Public Member Functions
double | total_generate_children_time () const
double | total_compute_in_tiles_time () const
double | total_filter_thread_tiles_time () const
double | total_filter_parallel_tiles_time () const
double | total_feature_write_time () const
double | total_calculate_cost_time () const
double | total_featurization_time () const
double | average_featurization_time () const
double | total_enqueue_time () const
double | total_cost_model_evaluation_time () const
double | average_cost_model_evaluation_time () const

## Public Attributes
int | num_featurizations {0}
int | num_states_added {0}
int | num_block_memoization_hits {0}
int | num_block_memoization_misses {0}
int | num_memoized_featurizations {0}
int | num_memoization_hits {0}
int | num_memoization_misses {0}
int | num_tilings_accepted {0}
int | num_tilings_generated {0}
std::chrono::duration< double > | generate_children_time {0}
std::chrono::duration< double > | calculate_cost_time {0}
std::chrono::duration< double > | enqueue_time {0}
std::chrono::duration< double > | compute_in_tiles_time {0}
std::chrono::duration< double > | filter_thread_tiles_time {0}
std::chrono::duration< double > | filter_parallel_tiles_time {0}
std::chrono::duration< double > | feature_write_time {0}
std::chrono::duration< double > | featurization_time {0}
int | num_schedules_enqueued {0}
std::chrono::duration< double > | cost_model_evaluation_time {0}

## Detailed Description

Definition at line 65 of file Statistics.h.

## Member Function Documentation

## ◆ total_generate_children_time()

double Halide::Internal::Autoscheduler::Statistics::total_generate_children_time | ( |  | ) | const
| inline

Definition at line 86 of file Statistics.h.

References generate_children_time.

## ◆ total_compute_in_tiles_time()

double Halide::Internal::Autoscheduler::Statistics::total_compute_in_tiles_time | ( |  | ) | const
| inline

Definition at line 90 of file Statistics.h.

References compute_in_tiles_time.

## ◆ total_filter_thread_tiles_time()

double Halide::Internal::Autoscheduler::Statistics::total_filter_thread_tiles_time | ( |  | ) | const
| inline

Definition at line 94 of file Statistics.h.

References filter_thread_tiles_time.

## ◆ total_filter_parallel_tiles_time()

double Halide::Internal::Autoscheduler::Statistics::total_filter_parallel_tiles_time | ( |  | ) | const
| inline

Definition at line 98 of file Statistics.h.

References filter_parallel_tiles_time.

## ◆ total_feature_write_time()

double Halide::Internal::Autoscheduler::Statistics::total_feature_write_time | ( |  | ) | const
| inline

Definition at line 102 of file Statistics.h.

References feature_write_time.

## ◆ total_calculate_cost_time()

double Halide::Internal::Autoscheduler::Statistics::total_calculate_cost_time | ( |  | ) | const
| inline

Definition at line 106 of file Statistics.h.

References calculate_cost_time.

## ◆ total_featurization_time()

double Halide::Internal::Autoscheduler::Statistics::total_featurization_time | ( |  | ) | const
| inline

Definition at line 110 of file Statistics.h.

References featurization_time.

Referenced by average_featurization_time().

## ◆ average_featurization_time()

double Halide::Internal::Autoscheduler::Statistics::average_featurization_time | ( |  | ) | const
| inline

Definition at line 114 of file Statistics.h.

References Halide::cast(), num_featurizations, and total_featurization_time().

## ◆ total_enqueue_time()

double Halide::Internal::Autoscheduler::Statistics::total_enqueue_time | ( |  | ) | const
| inline

Definition at line 118 of file Statistics.h.

References enqueue_time.

## ◆ total_cost_model_evaluation_time()

double Halide::Internal::Autoscheduler::Statistics::total_cost_model_evaluation_time | ( |  | ) | const
| inline

Definition at line 122 of file Statistics.h.

References cost_model_evaluation_time, and enqueue_time.

Referenced by average_cost_model_evaluation_time().

## ◆ average_cost_model_evaluation_time()

double Halide::Internal::Autoscheduler::Statistics::average_cost_model_evaluation_time | ( |  | ) | const
| inline

Definition at line 126 of file Statistics.h.

References Halide::cast(), num_schedules_enqueued, and total_cost_model_evaluation_time().

## Member Data Documentation

## ◆ num_featurizations

int Halide::Internal::Autoscheduler::Statistics::num_featurizations {0}

Definition at line 66 of file Statistics.h.

Referenced by average_featurization_time().

## ◆ num_states_added

int Halide::Internal::Autoscheduler::Statistics::num_states_added {0}

Definition at line 67 of file Statistics.h.

## ◆ num_block_memoization_hits

int Halide::Internal::Autoscheduler::Statistics::num_block_memoization_hits {0}

Definition at line 68 of file Statistics.h.

## ◆ num_block_memoization_misses

int Halide::Internal::Autoscheduler::Statistics::num_block_memoization_misses {0}

Definition at line 69 of file Statistics.h.

## ◆ num_memoized_featurizations

int Halide::Internal::Autoscheduler::Statistics::num_memoized_featurizations {0}

Definition at line 70 of file Statistics.h.

## ◆ num_memoization_hits

int Halide::Internal::Autoscheduler::Statistics::num_memoization_hits {0}

Definition at line 71 of file Statistics.h.

## ◆ num_memoization_misses

int Halide::Internal::Autoscheduler::Statistics::num_memoization_misses {0}

Definition at line 72 of file Statistics.h.

## ◆ num_tilings_accepted

int Halide::Internal::Autoscheduler::Statistics::num_tilings_accepted {0}

Definition at line 73 of file Statistics.h.

## ◆ num_tilings_generated

int Halide::Internal::Autoscheduler::Statistics::num_tilings_generated {0}

Definition at line 74 of file Statistics.h.

## ◆ generate_children_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::generate_children_time {0}

Definition at line 75 of file Statistics.h.

Referenced by total_generate_children_time().

## ◆ calculate_cost_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::calculate_cost_time {0}

Definition at line 76 of file Statistics.h.

Referenced by total_calculate_cost_time().

## ◆ enqueue_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::enqueue_time {0}

Definition at line 77 of file Statistics.h.

Referenced by total_cost_model_evaluation_time(), and total_enqueue_time().

## ◆ compute_in_tiles_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::compute_in_tiles_time {0}

Definition at line 78 of file Statistics.h.

Referenced by total_compute_in_tiles_time().

## ◆ filter_thread_tiles_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::filter_thread_tiles_time {0}

Definition at line 79 of file Statistics.h.

Referenced by total_filter_thread_tiles_time().

## ◆ filter_parallel_tiles_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::filter_parallel_tiles_time {0}

Definition at line 80 of file Statistics.h.

Referenced by total_filter_parallel_tiles_time().

## ◆ feature_write_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::feature_write_time {0}

Definition at line 81 of file Statistics.h.

Referenced by total_feature_write_time().

## ◆ featurization_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::featurization_time {0}

Definition at line 82 of file Statistics.h.

Referenced by total_featurization_time().

## ◆ num_schedules_enqueued

int Halide::Internal::Autoscheduler::Statistics::num_schedules_enqueued {0}

Definition at line 83 of file Statistics.h.

Referenced by average_cost_model_evaluation_time().

## ◆ cost_model_evaluation_time

std::chrono::duration<double> Halide::Internal::Autoscheduler::Statistics::cost_model_evaluation_time {0}

Definition at line 84 of file Statistics.h.

Referenced by total_cost_model_evaluation_time().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/Statistics.h